View Issue Details

IDProjectCategoryView StatusLast Update
14066Bug reports[All Projects] Import/Exportpublic2018-11-15 15:13
ReporterterryaulenbachAssigned ToDenisChenu 
PrioritynoneSeveritymajor 
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version3.15.x 
Summary14066: Reset button under Selection creates broken link
Description

When specific answers have been selected for exporting, the Reset button creates a broken link and therefore throws a Forbidden page at you.

E.g. You don't have permission to access /index.php/ admin/responses/sa/setSession/ /unset/true/sid/518851 on this server.

If you fix the link (e.g. /index.php/admin/responses/sa/setSession/unset/true/sid/518851, things work as expected.

Steps To Reproduce
  1. Go to the Survey responses.
  2. Select any number of responses.
  3. Click on Selected response(s)... and select Export (your selected response(s) will be listed in the Selection box).
  4. Click on the Reset button.
TagsNo tags attached.
Complete LimeSurvey version number (& build)3.14.7+180827
I will donate to the project if issue is resolvedNo
BrowserFirefox 62.0 (64-bit)
Database & DB-VersionPostgreSQL 9.6.5 (win32)
Server OS (if known)Windows Server 2012 R2 Standard Edition
Webserver software & version (if known)Apache 2.4.33 (Win64)
PHP Version7.2.7 (x64)

Activities

terryaulenbach

terryaulenbach

2018-10-26 17:35

reporter   ~49451

Still have the same issue under Version 3.15.1+181017.

vectorson

vectorson

2018-10-29 21:43

reporter   ~49475

Pull request with fix: https://github.com/LimeSurvey/LimeSurvey/pull/1161

DenisChenu

DenisChenu

2018-10-30 08:29

developer   ~49476

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=28417

DenisChenu

DenisChenu

2018-10-30 10:16

developer   ~49479

Thanks @vectorson

terryaulenbach

terryaulenbach

2018-10-30 15:16

reporter   ~49494

Thank you. Both of you.

Related Changesets

LimeSurvey: master 1178256c

2018-10-29 21:33:58

Anton Victorson

Details Diff
Fixed issue 14066: Broken link on reset button from mass-action response export Affected Issues
14066
mod - application/views/admin/export/exportresult_panels/_single-value.php Diff File

LimeSurvey: master acea7c1f

2018-10-30 08:29:47

DenisChenu


Committer: GitHub Details Diff
Merge pull request #1161 from vectorson/issue14066

Fixed issue 14066: Broken link on reset button from mass-action response export
Affected Issues
14066
mod - application/views/admin/export/exportresult_panels/_single-value.php Diff File

Issue History

Date Modified Username Field Change
2018-09-17 17:41 terryaulenbach New Issue
2018-10-26 17:35 terryaulenbach Note Added: 49451
2018-10-29 21:43 vectorson Note Added: 49475
2018-10-30 08:29 Changeset attached => LimeSurvey master 1178256c
2018-10-30 08:29 DenisChenu Changeset attached => LimeSurvey master acea7c1f
2018-10-30 08:29 DenisChenu Note Added: 49476
2018-10-30 08:29 DenisChenu Assigned To => DenisChenu
2018-10-30 08:29 DenisChenu Resolution open => fixed
2018-10-30 10:16 DenisChenu Status new => resolved
2018-10-30 10:16 DenisChenu Fixed in Version => 3.15.x
2018-10-30 10:16 DenisChenu Note Added: 49479
2018-10-30 15:16 terryaulenbach Note Added: 49494
2018-11-15 15:13 dominikvitt Status resolved => closed